/**
 * Copyright: Copyright (c) 2008 Jacob Carlborg. All rights reserved.
 * Authors: Jacob Carlborg
 * Version: Initial created: Nov 18, 2008
 * License: $(LINK2 http://opensource.org/licenses/bsd-license.php, BSD Style)
 * 
 */
module dwt.internal.c.bindings;

import dwt.internal.c.Carbon;
public import dwt.internal.cocoa.CGPoint;

extern (C):

// Appearance.h
int SetThemeCursor (ThemeCursor inCursor);



// CarbonEventsCore.h
uint GetCurrentButtonState ();



// CFBase.h
void CFRelease (CFTypeRef cf);



// CFURL.h
CFStringRef CFURLCreateStringByAddingPercentEscapes (CFAllocatorRef allocator, CFStringRef originalString,  CFStringRef charactersToLeaveUnescaped, CFStringRef legalURLCharactersToBeEscaped, CFStringEncoding encoding);



// CGRemoteOperation.h
CGError CGWarpMouseCursorPosition (CGPoint newCursorPosition);


    
// Gestalt.h
short Gestalt (uint selector, int* response);



// Processes.h
short CPSSetProcessName (CPSProcessSerNum* PSN, char* processname);
short GetCurrentProcess (ProcessSerialNumber* PSN);
short SetFrontProcess (/*const*/ ProcessSerialNumber* PSN);
int TransformProcessType (/*const*/ ProcessSerialNumber* psn, ProcessApplicationTransformState transformState);



// Quickdraw.h
RgnHandle NewRgn ();
void RectRgn (RgnHandle rgn, /*const*/Rect* r);
void OpenRgn ();
void OffsetRgn (RgnHandle rgn, short dh, short dv);
void MoveTo (short h, short v);
void LineTo (short h, short v);
void UnionRgn (RgnHandle srcRgnA, RgnHandle srcRgnB, RgnHandle dstRgn);
void CloseRgn (RgnHandle dstRgn);
void DisposeRgn (RgnHandle rgn);
Boolean PtInRgn (Point pt, RgnHandle rgn);
Rect* GetRegionBounds (RgnHandle region, Rect* bounds);
void SectRgn (RgnHandle srcRgnA, RgnHandle srcRgnB, RgnHandle dstRgn);
Boolean EmptyRgn (RgnHandle rgn);
void DiffRgn (RgnHandle srcRgnA, RgnHandle srcRgnB, RgnHandle dstRgn);
Boolean RectInRgn (/*const*/Rect* r, RgnHandle rgn);
OSStatus QDRegionToRects (RgnHandle rgn, QDRegionParseDirection dir, RegionToRectsUPP proc, void* userData);
void CopyRgn (RgnHandle srcRgn, RgnHandle dstRgn);
void SetRect (Rect* r, short left, short top, short right, short bottom);